Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA.TypeCodePackage
Class BadKindHelper

    java.lang.Object
      |
      +--org.omg.CORBA.TypeCodePackage.BadKindHelper

public final class BadKindHelper
extends java.lang.Object

Constructor Summary
`BadKindHelper()`

Method Summary
`static BadKind` | `extract(Any any)`
`static java.lang.String` | `id()`
`static void` | `insert(Any any, BadKind _value)`
`static BadKind` | `read(InputStream _input)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream _output, BadKind _value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BadKindHelper

    public BadKindHelper()

Method Detail

### insert

    public static void insert(Any any,
                              BadKind _value)

### extract

    public static BadKind extract(Any any)

### type

    public static TypeCode type()

### id

    public static java.lang.String id()

### read

    public static BadKind read(InputStream _input)

### write

    public static void write(OutputStream _output,
                             BadKind _value)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD